package com.ruoyi.common.core.domain.entity;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 居住人员信息，存储居住人员的详细信息对象 resident_info
 * 
 * @author boman
 * @date 2025-02-27
 */
public class ResidentInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 居住人员主键，唯一标识每条居住人员信息 */
    private Long residentId;

    /** 关联房屋信息表的house_id，标识居住人员所属房屋 */
    @Excel(name = "关联房屋信息表的house_id，标识居住人员所属房屋")
    private Long houseId;
    /**
     * 房屋状态：1-自住，2-空闲，3-待售空闲，4-出租
     */
    private Long houseStatus;

    /** 关联sys_user表中user_id */
    @Excel(name = "关联sys_user表中user_id")
    private Long userId;

    /** 居住人员的详细门牌号 */
    @Excel(name = "居住人员的详细门牌号")
    private String detailedAddress;

    /** 居住人员姓名 */
    @Excel(name = "居住人员姓名")
    private String residentName;

    /** 居住人员身份证号码，18位 */
    @Excel(name = "居住人员身份证号码，18位")
    private String residentIdCard;

    /** 居住人员出生日期 */
    @Excel(name = "居住人员出生日期")
    private String residentBirthday;

    /** 居住人员手机号 */
    @Excel(name = "居住人员手机号")
    private String residentPhone;

    /** 居住人员性别：1-男，2-女 */
    @Excel(name = "居住人员性别：1-男，2-女")
    private Integer residentGender;

    /** 居住人员与户主的关系，如父子、夫妻等 */
    @Excel(name = "居住人员与户主的关系，如父子、夫妻等")
    private String residentRelationship;

    /** 是否是户主：Y-是，N-否 */
    @Excel(name = "是否是户主：Y-是，N-否")
    private String isHouseholder;

    /** 是否是租户：Y-是，N-否 */
    @Excel(name = "是否是租户：Y-是，N-否")
    private String isTenant;

    /** 居住人员工作单位 */
    @Excel(name = "居住人员工作单位")
    private String residentEmployer;

    /** 特殊类型 */
    @Excel(name = "特殊类型")
    private String specialType;

    /** 爱好字典值多选 */
    @Excel(name = "爱好字典值多选")
    private String residentHobby;

    /** 居住人员面貌，如党员、群众等 */
    @Excel(name = "居住人员面貌，如党员、群众等")
    private String residentAppearance;

    /** 身份证正面 */
    @Excel(name = "身份证正面")
    private String idCardFront;

    /** 身份证反面 */
    @Excel(name = "身份证反面")
    private String idCardBack;

    /** 身份证住址 */
    @Excel(name = "身份证住址")
    private String idCardAddress;

    /** 人脸地址 */
    @Excel(name = "人脸地址")
    private String facePhoto;

    public Long getHouseStatus() {
        return houseStatus;
    }

    public void setHouseStatus(Long houseStatus) {
        this.houseStatus = houseStatus;
    }

    public void setResidentId(Long residentId)
    {
        this.residentId = residentId;
    }

    public Long getResidentId() 
    {
        return residentId;
    }
    public void setHouseId(Long houseId) 
    {
        this.houseId = houseId;
    }

    public Long getHouseId() 
    {
        return houseId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setDetailedAddress(String detailedAddress) 
    {
        this.detailedAddress = detailedAddress;
    }

    public String getDetailedAddress() 
    {
        return detailedAddress;
    }
    public void setResidentName(String residentName) 
    {
        this.residentName = residentName;
    }

    public String getResidentName() 
    {
        return residentName;
    }
    public void setResidentIdCard(String residentIdCard) 
    {
        this.residentIdCard = residentIdCard;
    }

    public String getResidentIdCard() 
    {
        return residentIdCard;
    }
    public void setResidentBirthday(String residentBirthday) 
    {
        this.residentBirthday = residentBirthday;
    }

    public String getResidentBirthday() 
    {
        return residentBirthday;
    }
    public void setResidentPhone(String residentPhone) 
    {
        this.residentPhone = residentPhone;
    }

    public String getResidentPhone() 
    {
        return residentPhone;
    }
    public void setResidentGender(Integer residentGender) 
    {
        this.residentGender = residentGender;
    }

    public Integer getResidentGender() 
    {
        return residentGender;
    }
    public void setResidentRelationship(String residentRelationship) 
    {
        this.residentRelationship = residentRelationship;
    }

    public String getResidentRelationship() 
    {
        return residentRelationship;
    }
    public void setIsHouseholder(String isHouseholder) 
    {
        this.isHouseholder = isHouseholder;
    }

    public String getIsHouseholder() 
    {
        return isHouseholder;
    }
    public void setIsTenant(String isTenant) 
    {
        this.isTenant = isTenant;
    }

    public String getIsTenant() 
    {
        return isTenant;
    }
    public void setResidentEmployer(String residentEmployer) 
    {
        this.residentEmployer = residentEmployer;
    }

    public String getResidentEmployer() 
    {
        return residentEmployer;
    }
    public void setSpecialType(String specialType) 
    {
        this.specialType = specialType;
    }

    public String getSpecialType() 
    {
        return specialType;
    }
    public void setResidentHobby(String residentHobby) 
    {
        this.residentHobby = residentHobby;
    }

    public String getResidentHobby() 
    {
        return residentHobby;
    }
    public void setResidentAppearance(String residentAppearance) 
    {
        this.residentAppearance = residentAppearance;
    }

    public String getResidentAppearance() 
    {
        return residentAppearance;
    }
    public void setIdCardFront(String idCardFront) 
    {
        this.idCardFront = idCardFront;
    }

    public String getIdCardFront() 
    {
        return idCardFront;
    }
    public void setIdCardBack(String idCardBack) 
    {
        this.idCardBack = idCardBack;
    }

    public String getIdCardBack() 
    {
        return idCardBack;
    }
    public void setIdCardAddress(String idCardAddress) 
    {
        this.idCardAddress = idCardAddress;
    }

    public String getIdCardAddress() 
    {
        return idCardAddress;
    }
    public void setFacePhoto(String facePhoto) 
    {
        this.facePhoto = facePhoto;
    }

    public String getFacePhoto() 
    {
        return facePhoto;
    }

    @Override
    public String toString() {
        return "ResidentInfo{" +
                "residentId=" + residentId +
                ", houseId=" + houseId +
                ", houseStatus=" + houseStatus +
                ", userId=" + userId +
                ", detailedAddress='" + detailedAddress + '\'' +
                ", residentName='" + residentName + '\'' +
                ", residentIdCard='" + residentIdCard + '\'' +
                ", residentBirthday='" + residentBirthday + '\'' +
                ", residentPhone='" + residentPhone + '\'' +
                ", residentGender=" + residentGender +
                ", residentRelationship='" + residentRelationship + '\'' +
                ", isHouseholder='" + isHouseholder + '\'' +
                ", isTenant='" + isTenant + '\'' +
                ", residentEmployer='" + residentEmployer + '\'' +
                ", specialType='" + specialType + '\'' +
                ", residentHobby='" + residentHobby + '\'' +
                ", residentAppearance='" + residentAppearance + '\'' +
                ", idCardFront='" + idCardFront + '\'' +
                ", idCardBack='" + idCardBack + '\'' +
                ", idCardAddress='" + idCardAddress + '\'' +
                ", facePhoto='" + facePhoto + '\'' +
                '}';
    }
}
